$responsive-threshold: 900px;
:host {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  @media(max-width: $responsive-threshold) {
    flex-direction: column;
    align-items: center;
  }
  border-bottom: #{"1px solid rgba(var(--primary-text-color-rgb), var(--divider-opacity))"};
}
:host([severity="error"]) {
  background: var(--log-entry--error-background);
  iron-icon {
    color: var(--log-entry--error-icon);
  }
}
:host([severity="warning"]) {
  background: var(--log-entry--warning-background);
  iron-icon {
    color: var(--log-entry--warning-icon);
  }
}
:host([severity="known problem"]) {
  background: var(--log-entry--info-background);
  iron-icon {
    color: var(--log-entry--warning-icon);
  }
}
:host([severity="info"]) {
  background: var(--log-entry--info-background);
  iron-icon {
    color: var(--log-entry--info-icon);
  }
}
:host([new]) {
  background: rgba(255, 0, 0, .2);
  [new] {
    display: initial;
  }
}

[new] {
  display: none;
  font-weight: bold;
  color: red;
}

[container] {
  display: flex;
  flex-direction: column;
  flex: 1;
  @media(max-width: $responsive-threshold) {
    flex-direction: column;
    width: 100%;
  }
}


iron-icon {
  width: 64px;
  height: 64px;
}

header {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  align-items: center;
  @media(max-width: $responsive-threshold) {
    justify-content: space-between;
  }

  paper-icon-button {
    width: 40px;
    height: 40px;
    &[hide] {
      display: none;
    }
  }

  h3, p {
    margin: .5em;
  }
  p {
    opacity: var(--secondary-text-opacity);
  }
  span {
    flex: 1;
  }
}

#message_container {
  margin-left: .5em;
  & > p {
    &:first-child {
      margin-top: 0;
    }
  }

  white-space: pre-wrap;

  blockquote {
    padding: 15px;
    margin: 0;
    border-left: 5px solid #b3b3b3;
  }

  table {
    border-spacing: 0;

    border-top: 1px solid black;
    border-left: 1px solid black;
    td {
      border-right: 1px solid black;
      border-bottom: 1px solid black;
    }
  }
}
